Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Class synchronize

    java.lang.Object
      org.python.modules.synchronize

    public class synchronize

extends Object

Nested Class Summary
`static class` | `synchronize.SynchronizedCallable`

Constructor Summary
`synchronize()`

Method Summary
`static Object` | `_getSync(PyObject obj)`
`static PyObject` | `apply_synchronized(PyObject syncObject, PyObject callable, PyObject args)`
`static PyObject` | `apply_synchronized(PyObject syncObject, PyObject callable, PyObject args, PyDictionary kws)`
`static PyObject` | `make_synchronized(PyObject callable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### synchronize

    public synchronize()

Method Detail

### _getSync

    public static Object _getSync(PyObject obj)

### apply_synchronized

    public static PyObject apply_synchronized(PyObject syncObject,
                                              PyObject callable,
                                              PyObject args)

### apply_synchronized

    public static PyObject apply_synchronized(PyObject syncObject,
                                              PyObject callable,
                                              PyObject args,
                                              PyDictionary kws)

### make_synchronized

    public static PyObject make_synchronized(PyObject callable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage